org.codehaus.plexus.component.manager

## Class SingletonComponentManagerFactory

- java.lang.Object
- - org.codehaus.plexus.component.manager.SingletonComponentManagerFactory

All Implemented Interfaces:
  ComponentManagerFactory

    public class SingletonComponentManagerFactory
    extends java.lang.Object
    implements ComponentManagerFactory

### Constructor Summary

Constructors
Constructor and Description
`SingletonComponentManagerFactory()`

### Method Summary

Methods
`ComponentManager<?>` `createComponentManager(MutablePlexusContainer container, LifecycleHandler lifecycleHandler, ComponentDescriptor componentDescriptor, java.lang.String role, java.lang.String roleHint)` Creates a new component manager for the specified component descriptor.
`java.lang.String` `getId()` Gets the unique identifier of this ComponentManagerFactory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingletonComponentManagerFactory

    public SingletonComponentManagerFactory()

### Method Detail

#### getId

    public java.lang.String getId()

Description copied from interface: `ComponentManagerFactory`
Gets the unique identifier of this ComponentManagerFactory. This id is the instantiation strategy specified in a component descriptor.

Specified by:
  `getId` in interface `ComponentManagerFactory`
Returns:
  the unique identifier and instantiation strategy name

#### createComponentManager

    public ComponentManager<?> createComponentManager(MutablePlexusContainer container,
                                             LifecycleHandler lifecycleHandler,
                                             ComponentDescriptor componentDescriptor,
                                             java.lang.String role,
                                             java.lang.String roleHint)

Description copied from interface: `ComponentManagerFactory`
Creates a new component manager for the specified component descriptor.

Specified by:
  `createComponentManager` in interface `ComponentManagerFactory`